Bug 131930 - GRUB fails to boot DOS occasionally
GRUB fails to boot DOS occasionally
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: grub (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 20:26 EDT by Landon Kelsey
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 14:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon Kelsey 2004-09-06 20:26:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
XP Prof on one scsi HD
Redhat Enterprise 3.0 on a second scsi HD

works great except:

Once in a while when booting to DOS(XP PROF), the boot process starts
but I never get to the XP Prof login screen. I have to do a not
graceful restart and then I get into XP Prof.

I reloaded XP Prof and this removed GRUB.

To get GRUB back working, I did the below procedure and even though
DOS appeared in the list, selecting DOS always brought me back to the
initial GRUB selection menu.


 
linux rescue
    



You will be asked if you want to enable networking. This is optional
if your installation images are on the local CD-ROM or hard drive. You
will want to enable networking if your installation images reside on
an FTP, HTTP, or NFS server on your network.

The rescue environment will ask if you wish to mount filesystems.
Select "Continue" to mount the filesystems in read-write mode. Verify
that your filesystem was correctly constructed by issuing the mount
command.

Your hard drives will be reconstructed under the mount point
/mnt/sysimage. To reinstall GRUB, you need to shift contexts so the
grub-install command thinks that your root filesystem is the
/mnt/sysimage directory. This is accomplished with the chroot command.
Next run grub-install then exit:

 
sh-2.04# chroot /mnt/sysimage
sh-2.04# grub-install /dev/sda  <--(if your disk is IDE, substitute
hda for sda)
sh-2.04# exit
    



Type exit again to exit the rescue environment and reboot. Your
bootloader should now be restored.




Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.simple boot and select DOS
2.
3.
    

Actual Results:  I get the GRUB screen again after selecting DOS

Expected Results:  should have booted up DOS

Additional info:

I did nothing fancy. Justwhat I indicated
Comment 1 Jeremy Katz 2004-09-07 14:18:09 EDT
If XP starts to boot and then later fails, that's an XP problem, not a
grub problem.

Note You need to log in before you can comment on or make changes to this bug.